#
# WiKicker
#
#  Loader.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Loader.pm,v 1.2 2003/06/29 03:32:42 naney Exp $
#
#

package WiKicker::Loader;

use 5.005;
use strict;

use vars qw(%loaded);
#%loaded = ();

sub load_module {
  my ($module, $opt) = @_;

  if ((!defined $opt) && exists $loaded{$module}) {
    return;
  }
  
  if (defined $opt) {
    $opt = ' ' . $opt;
  }
  else {
    $opt = '';
  }

  #my $file = $module;
  #$file =~ s|::|/|g;
  #$file .= '.pm';
  #eval "use $module$opt" unless $INC{$file};
  eval "use $module$opt";
  die "Cant't use $module: $@" if $@;
  if (!defined $opt) {
    $loaded{$module} = 1;
  }
}

1;
