#
# WiKicker
#
#  WRN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: WRN.pm,v 1.2 2005/03/20 10:44:26 naney Exp $
#
#

package WiKicker::WRI::WRN;

use strict;
use WiKicker::WRI;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI);

sub _make_page_name_link {
  my ($self, $page_name, $fragment_identifier, $content, $mtime_flag, $subject_flag, $env) = @_;

  my ($link, $linked) =
    $env->link_maker->make_page_name_link_and_linked($page_name,
                                                     $fragment_identifier,
                                                     $content,
                                                     $mtime_flag, $subject_flag);

  $env->add_explicit_term(@$linked);

  return $link;
}

1;
