# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Environment.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Environment;

#line 113 "blib/lib/WiKicker/WikiCGI/Environment.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Environment/_cache.al)"
sub _cache {
  my $self = shift;

  if (exists $self->{enable_cache}) {
    if ($self->{enable_cache}) {
      return $self->{_cache};
    }
    else {
      return undef;
    }
  }

  my $type = $self->configuration->properties->get('memorycache.type');
  unless (defined $type && $type eq 'memcached') {
    $self->{enable_cache} = 0;
    return undef;
  }
  my $server_text = $self->configuration->properties->get('memcached.servers');
  $server_text =~ s/^\s+//;
  $server_text =~ s/\s+$//;
  my @servers = split(/\s+/, $server_text);
  if (@servers == 0) {
    $self->{enable_cache} = 0;
    return undef;
  }

  eval "use Cache::Memcached";
  if ($@) {
    warn $@;
    $self->{enable_cache} = 0;
    return undef;
  }

  $self->{_cache} = Cache::Memcached->new({'servers' => \@servers,
                                           'select_timeout' => 2.0});
  $self->{enable_cache} = 1;

  return $self->{_cache};
}

# end of WiKicker::WikiCGI::Environment::_cache
1;
