#
# WiKicker
#
#  Page.pm
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Page.pm,v 1.2 2004/11/19 08:01:05 naney Exp $
#
#

package WiKicker::DikiCGI::Page;

use 5.005;
use strict;
use WiKicker::CGI::Page;

use vars qw(@ISA);
BEGIN {
  @ISA = qw(WiKicker::CGI::Page);
}

sub _unknown_action_message {
  my $self = shift;

  "Unknown action '" . $self->request->action . "'";
}

sub _max_update {
  my $self = shift;

  my $load_average = $self->request->load_average;
  my $load_average_1 = $load_average->load_average_1;

  my $max_update = 1;
  if (0 < $load_average_1 && $load_average_1 < 5) {
    $max_update = (6 - $load_average_1) * 2;
  }

  return $max_update;
}

1;
