#
# WiKicker
#
#  OneDayDiaries.pm
#
#
# Copyright (C) 2004,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: OneDayDiaries.pm,v 1.3 2005/03/26 13:30:39 naney Exp $
#
#

package WiKicker::DikiCGI::View::HTML::OneDayDiaries;

use 5.005;
use strict;

use WiKicker::DikiCGI::View::HTML::Diaries;

use vars qw(@ISA);
@ISA = qw(WiKicker::DikiCGI::View::HTML::Diaries);

sub make_html_head_title {
  my $self = shift;

  return $self->_make_html_head_title_with_article_title;
}

sub title {
  my $self = shift;

  my $dikicker_name =
    $self->request->configuration->properties->get('dikicker.name');

  my $range = $self->request->command->range;
  $range =~ /^(\d\d\d\d)-(\d\d)-(.+)/;
  my $date = "$1年$2月$3日";
  return "$dikicker_name : $date";
}

1;
