#
# WiKicker
#
#  Entry.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Entry.pm,v 1.2 2003/11/01 11:57:24 naney Exp $
#
#

package WiKicker::TrackBack::Entry;

use 5.005;
use strict;

sub new {
  my $class = shift;

  my $self = bless {}, $class;
}

sub title {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{title} = $value;
  }
  return $self->{title};
}

sub excerpt {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{excerpt} = $value;
  }
  return $self->{excerpt};
}

sub url {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{url} = $value;
  }
  return $self->{url};
}

sub blog_name {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{blog_name} = $value;
  }
  return $self->{blog_name};
}

sub timestamp {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{timestamp} = $value;
  }
  return $self->{timestamp};
}

1;

