#
# WiKicker
#
#  ASIN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ASIN.pm,v 1.1 2003/06/21 09:38:15 naney Exp $
#
#

package WiKicker::WRI::ASIN;

use strict;
use WiKicker::WRI::RWRN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::RWRN);

sub get_link_url {
  my ($self, $env) = @_;

  if ($env) {
    return $env->resolver->get_asin_url($self->rest);
  }
  else {
    return WiKicker::WRI::Resolver->new->get_asin_url($self->rest);
  }
}

1;
