#
# WiKicker
#
#  PageMtime.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: PageMtime.pm,v 1.1 2003/06/21 09:38:15 naney Exp $
#
#

package WiKicker::WRI::PageMtime;

use strict;
use WiKicker::WRI::RWRN;
use WiKicker::Loader;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::RWRN);

sub to_subject_string {
  my ($self, $env) = @_;

  return $self->rest;
}

sub to_html {
  my ($self, $content, $env) = @_;

  return $self->_make_page_name_link($self->rest, '', $content, 1, 0, $env);
}

1;
