#
# WiKicker
#
#  QWRN.pm
#
#
# Copyright (C) 2003,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: QWRN.pm,v 1.3 2005/03/20 10:44:26 naney Exp $
#
#

package WiKicker::WRI::QWRN;

use strict;
use Carp;
use WiKicker::WRI::WRN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::WRN);

sub new {
  my ($class, $original, $scheme, $rest) = @_;

  my $self = bless {}, $class;

  $self->_set_original($original);
  $self->_set_scheme($scheme);
  $self->_set_rest($rest);

  return $self;
}

sub scheme { shift->{scheme} }
sub rest { shift->{rest} }

sub _set_scheme {
  my ($self, $value) = @_;

  $self->{scheme} = $value;
}

sub _set_rest {
  my ($self, $value) = @_;

  $self->{rest} = $value;
}


1;
