#
# WiKicker
#
#  TextNode.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: TextNode.pm,v 1.3 2004/08/03 12:55:52 naney Exp $
#
#

package WiKicker::WikiPage::TextNode;

use WiKicker::WikiPage::Acceptor qw(:accept);

# sub new {
#   my ($class, $text) = @_;

#   my $self = bless { text => $text}, $class;
# }

# sub to_string {
#   return shift->{text};
# }

# sub to_unarmor_string {
#   return shift->{text};
# }

sub new {
  my ($class, $text) = @_;
  bless \$text, $class;

  return \$text;
}
sub to_string { my $self = shift; $$self }
sub to_unarmor_string { my $self = shift; $$self }

1;
