# NOTE: Derived from blib/lib/WiKicker/DB/File.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::DB::File;

#line 473 "blib/lib/WiKicker/DB/File.pm (autosplit into blib/lib/auto/WiKicker/DB/File/delete_page.al)"
sub delete_page {
  my ($self, $key) = @_;

  croak 'No key' unless $key;

  $self->_check_page_ex_lock('no exclusive lock to delete page');

  # check page_name_list cache
  if ($self->{page_name_list} && $self->{page_name_list}->has($key)) {
    delete $self->{page_name_list};
  }

  delete $self->_page_db->{$key};
  $self->_touch_last_modified_file;
}

# end of WiKicker::DB::File::delete_page
1;
