# NOTE: Derived from blib/lib/WiKicker/Diki/SecondaryDatabase.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::Diki::SecondaryDatabase;

#line 442 "blib/lib/WiKicker/Diki/SecondaryDatabase.pm (autosplit into blib/lib/auto/WiKicker/Diki/SecondaryDatabase/_regist_diary_article_to_db.al)"
sub _regist_diary_article_to_db {
  my ($self, $article_db, $term_db, $article_id, $article_text,
     $last_modified) = @_;

  my ($term_list, $term_list_modified) = $term_db->term_list;
  my $diary_article
    = WiKicker::Diki::DiaryArticle
      ->new(id => $article_id,
            text => $article_text,
            last_modified => $last_modified,
            term_list => $term_list,
            term_list_modified => $term_list_modified,
            environment => $self->environment);
  $self->_set_similar($article_db, $term_db, $diary_article);
  $article_db->regist_diary_article($diary_article);
  $term_db->regist_diary_article($diary_article);

  return $diary_article;
}

# end of WiKicker::Diki::SecondaryDatabase::_regist_diary_article_to_db
1;
