# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page::NormalPage;

#line 672 "blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/NormalPage/_do_TrackBack.al)"
# @deprecated
#sub do_TrackBack {
sub _do_TrackBack {
  eval "use Storable";

  my $self = shift;

  my $db = $self->db;
  my $mode = $self->request->param('__mode');
  if ($mode eq 'rss') {
    # @todo implement
    $db->shared_lock_pages;
    $self->request->attribute('message', 'Not implemented');
    return 'trackbackerror';
  }
  else {
    my $url       = $self->request->param('url') || '';
    my $excerpt   = $self->request->param('excerpt') || '';
    my $title     = $self->request->param('title') || '';
    my $blog_name = $self->request->param('blog_name') || '';
    my $timestamp = time;

    my $charset = $self->request->param('charset')
      || $self->request->param('ie') || '';
    if ($charset) {
      $charset = lc($charset);
      my $jcode_in = '';
      if ($charset eq 'euc' || $charset eq 'euc-jp') {
        $jcode_in = 'euc';
      }
      elsif ($charset eq 'x-sjis' || $charset eq 'sjis' || $charset eq 'shift_jis') {
        $jcode_in = 'sjis';
      }
      elsif ($charset eq 'iso-2022-jp' || $charset eq 'jis') {
        $jcode_in = 'jis';
      }
      if ($jcode_in) {
        $excerpt = WiKicker::UTF8::decode($jcode_in, $excerpt);
        $title = WiKicker::UTF8::decode($jcode_in, $title);
        $blog_name = WiKicker::UTF8::decode($jcode_in, $blog_name);
      }
    }

    unless ($url) {
      $db->shared_lock_pages;
      $self->request->attribute('message', 'No url');
      return 'trackbackerror';
    }

    WiKicker::Loader::load_module('WiKicker::TrackBack::Entry');
    WiKicker::Loader::load_module('WiKicker::TrackBack::EntryMap');

    my $entry = WiKicker::TrackBack::Entry->new;
    $entry->url($url);
    $entry->excerpt($excerpt);
    $entry->title($title);
    $entry->blog_name($blog_name);
    $entry->timestamp($timestamp);


    my $entry_map = $db->cache('trackback', $self->name);
    if (defined $entry_map) {
      $entry_map = Storable::thaw($entry_map);
    }
    else {
      $entry_map = WiKicker::TrackBack::EntryMap->new;
    }
    $entry_map->set($entry);
    $db->cache('trackback', $self->name, Storable::freeze($entry_map));

    $self->mail($self->name,
                'trackback',
                'url: ' . $entry->url . "\n" .
                'excerpt: ' . $entry->excerpt . "\n" .
                'title: ' . $entry->title . "\n" .
                'blog_name: ' . $entry->blog_name . "\n");

    $db->shared_lock_pages;
    return 'trackbackpingsuccess';
  }
}

1;
# end of WiKicker::WikiCGI::Page::NormalPage::_do_TrackBack
