# NOTE: Derived from blib/lib/WiKicker/WikiCGI/View/HTML.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::View::HTML;

#line 789 "blib/lib/WiKicker/WikiCGI/View/HTML.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/View/HTML/_create_html_fragment_visitor.al)"
sub _create_html_fragment_visitor {
  my ($self, $no_edit_section) = @_;

  my $no_automatic_link
    = ! $self->request->configuration->automatic_link_enabled($self->request->load_average);

  my $visitor;
  if ($self->stylesheet_type eq 'tDiary') {
    $visitor = WiKicker::WikiPage::tDiaryFragmentVisitor->new;
  }
  else {
    $visitor = WiKicker::WikiPage::WikiPageHtmlFragmentVisitor->new;
  }

  $visitor->env($self->_create_html_env($no_automatic_link));
  $visitor->no_edit_section($no_edit_section);
  $visitor->no_automatic_link($no_automatic_link);
  my $response = $self->response;
  $visitor->flush_closure(sub { $response->add_content(shift);
                                if ($response->content_length > 512) {
                                  $response->flush;
                                }
                              });
  return $visitor;
}

# end of WiKicker::WikiCGI::View::HTML::_create_html_fragment_visitor
1;
