# NOTE: Derived from blib/lib/WiKicker/WikiPage/DocumentParser.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::DocumentParser;

#line 383 "blib/lib/WiKicker/WikiPage/DocumentParser.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/DocumentParser/do_pre.al)"
sub do_pre {
  my ($self, $data) = @_;

  if ($self->current_node->isa('WiKicker::WikiPage::EmptyLinesNode')) {
    my @nodes = $self->document_node->nodes;
    if (@nodes >= 2) {
      if ($nodes[-2]->isa('WiKicker::WikiPage::PreNode')) {
        my $empty_lines = $self->current_node->to_string;
        $self->document_node->remove_last_node;
        $self->clear_node_stack;
        push(@{$self->{current_path}}, $nodes[-2]);
        $self->current_node->add($empty_lines);
        $self->current_node->add(' ' . $data);
        return 1;
      }
    }
  }

  if (ref $self->current_node ne 'WiKicker::WikiPage::PreNode') {
    $self->clear_node_stack;
    $self->push_node(WiKicker::WikiPage::PreNode->new);
  }

  $self->current_node->add(' ' . $data);
}

# end of WiKicker::WikiPage::DocumentParser::do_pre
1;
