# NOTE: Derived from blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::HtmlFragmentVisitor;

#line 571 "blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/HtmlFragmentVisitor/write_footnote.al)"
sub write_footnote {
  my $self = shift;

  my $footnote_list = $self->{footnote};
  unless (scalar(@$footnote_list)) {
    return;
  }
  $self->{content} .= qq(<div class="footnote">);
  for my $item (@$footnote_list) {
    my $n = $item->[0];
    $self->{content} .= qq(<p class="footnote"><a name="f$n" href="#fm$n">*$n</a>);
    my $inline_block_node = $item->[1];
    for my $node ($inline_block_node->nodes) {
      $node->accept($self);
    }
    $self->{content} .= qq(</p>);
  }
  $self->{content} .= qq(</div>);
  $self->{footnote} = [];
}

# end of WiKicker::WikiPage::HtmlFragmentVisitor::write_footnote
1;
